cURL
curl --request GET \
--url https://us.infisical.com/api/v1/projects/{projectId}/identities \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/projects/{projectId}/identities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/projects/{projectId}/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"projectId": "<string>",
"hasDeleteProtection": false,
"activeLockoutAuthMethods": [
"<string>"
],
"authMethods": [
"<string>"
],
"metadata": [
{
"key": "<string>",
"value": "<string>",
"id": "<string>"
}
]
}
],
"totalCount": 123
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Project Managed Identities
List Identities
List identities in a project
GET
/
api
/
v1
/
projects
/
{projectId}
/
identities
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the project
Query Parameters
The offset to start from. If you enter 10, it will start from the 10th identity.
Required range:
x >= 0The number of identities to return.
Required range:
1 <= x <= 1000The text string that identity names will be filtered by.
Was this page helpful?
⌘I